## mesa 21.2.1

=== debian/changelog ===
mesa (1:21.2.1-2revyos2) unstable; urgency=medium

  * Enable pvr vulkan
  * Disable swrast vulkan(disable soft vulkan)

 -- Han Gao <gaohan@iscas.ac.cn>  Tue, 12 Sep 2023 01:12:21 +0800

mesa (1:21.2.1-2revyos1) unstable; urgency=medium

  * Add pvr patch (ddk 1.17)
  * Use llvm 14

 -- Han Gao <gaohan@iscas.ac.cn>  Mon, 04 Sep 2023 17:47:00 +0800

mesa (21.2.1-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * Fix armel FTBFS

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 01 Sep 2021 14:02:18 +0300

mesa (21.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 20 Aug 2021 11:38:23 +0300

mesa (21.2.0-1) experimental; urgency=medium

  * New upstream release. (LP: #1937988)
  * iris-avoid-abort-if-enomem.diff: Dropped, upstream.
  * control: Bump libdrm-dev build-dependency to 2.4.107.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 05 Aug 2021 09:48:22 +0300

mesa (21.1.6-1) experimental; urgency=medium

  * New upstream release.
  * fix-ftbfs.diff: Dropped, fixed upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 03 Aug 2021 13:10:20 +0300
